#!/system/bin/sh
MODDIR=${0%/*}
#boot detection
until [ $(getprop init.svc.bootanim) = "stopped" ]
do
sleep 2
done

#优化cpu分配
echo "0-7"   > /dev/cpuset/background/cpus
echo "0-7"   > /dev/cpuset/system-background/cpus
echo "0-7"   > /dev/cpuset/audio-app/cpus
echo "0-7"   > /dev/cpuset/foreground/boost/cpus
echo "0-7" > /dev/cpuset/foreground/cpus
echo "0-7"   > /dev/cpuset/top-app/cpus
echo "0-7"   > /dev/cpuset/restricted/cpus

#调节cpu激进度
echo "30" > /dev/stune/foreground/schedtune.boost
echo "30" > /dev/stune/top-app/schedtune.boost
echo "5" > /dev/stune/background/schedtune.boost
echo "20" > /dev/stune/rt/schedtune.boost
echo "10" > /dev/stune/schedtune.boost

#总线调度优化
echo "performance" > /sys/class/devfreq/soc:qcom,cpu-cpu-llcc-bw/governor
echo "performance" > /sys/class/devfreq/soc:qcom,cpu-llcc-ddr-bw/governor
echo "performance" > /sys/class/devfreq/soc:qcom,gpubw/governor

#开启请求低延迟
echo "1" > /dev/stune/foreground/schedtune.prefer_idle
echo "1" > /dev/stune/top-app/schedtune.prefer_idle
echo "1" > /dev/stune/background/schedtune.prefer_idle
echo "1" > /dev/stune/rt/schedtune.prefer_idle
echo "1" > /dev/stune/schedtune.prefer_idle

#升频优化
echo "1000" > /sys/module/cpu_boost/parameters/input_boost_ms
 
#gpu优化
echo "performance" > /sys/kernel/gpu/gpu_governor

#zram优化
echo "0" > /proc/sys/vm/swappiness
echo "0" > /proc/sys/vm/extra_free_kbytes
echo "20" > /proc/sys/vm/watermark_scale_factor

#大小核心分配优化
echo "10" > /proc/sys/kernel/sched_downmigrate
echo "90" > /proc/sys/kernel/sched_upmigrate
echo "0" > /proc/sys/kernel/sched_boost

#io优化
echo "2" > /sys/block/mmcblk0/queue/rq_affinity
echo "512" > /sys/block/mmcblk0/queue/read_ahead_kb
echo 0 > /sys/block/mmcblk0/queue/iostats
echo 0 > /sys/block/mmcblk0rpmb/queue/iostats
echo 0 > /sys/module/subsystem_restart/parameters/enable_ramdumps
echo 0 > /sys/module/subsystem_restart/parameters/enable_mini_ramdumps

#其他优化(有些内核不一定支持)
echo "140" > /proc/sys/vm/vfs_cache_pressure
echo "16512" > /sys/devices/platform/soc/7c4000.sdhci/mmc_host/mmc0/mmc0:0001/block/mmcblk0/mmcblk0rpmb/queue/iosched/back_seek_max

#动画优化(解决动画掉帧问题)

#过渡动画优化
settings put global transition_animation_scale 1.4
#窗口动画优化
settings put global window_animation_scale 0.4
#动画时长优化
settings put global animator_duration_scale 0.4